Package io.dapr.v1

# Class DaprGrpc

java.lang.Object
io.dapr.v1.DaprGrpc

public final class DaprGrpc extends Object

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `DaprGrpc.AsyncService`
  Dapr service provides APIs to user application to access Dapr building blocks.
  `static final class`
  `DaprGrpc.DaprBlockingStub`
  A stub to allow clients to do limited synchronous rpc calls to service Dapr.
  `static final class`
  `DaprGrpc.DaprBlockingV2Stub`
  A stub to allow clients to do synchronous rpc calls to service Dapr.
  `static final class`
  `DaprGrpc.DaprFutureStub`
  A stub to allow clients to do ListenableFuture-style rpc calls to service Dapr.
  `static class`
  `DaprGrpc.DaprImplBase`
  Base class for the server implementation of the service Dapr.
  `static final class`
  `DaprGrpc.DaprStub`
  A stub to allow clients to do asynchronous rpc calls to service Dapr.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SERVICE_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final io.grpc.ServerServiceDefinition`
  `bindService(DaprGrpc.AsyncService service)`
  `static io.grpc.MethodDescriptor<DaprPubsubProtos.BulkPublishRequest,DaprPubsubProtos.BulkPublishResponse>`
  `getBulkPublishEventAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprPubsubProtos.BulkPublishRequest,DaprPubsubProtos.BulkPublishResponse>`
  `getBulkPublishEventMethod()`
  `static io.grpc.MethodDescriptor<DaprAiProtos.ConversationRequest,DaprAiProtos.ConversationResponse>`
  `getConverseAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprAiProtos.ConversationRequestAlpha2,DaprAiProtos.ConversationResponseAlpha2>`
  `getConverseAlpha2Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.DecryptRequest,DaprCryptoProtos.DecryptResponse>`
  `getDecryptAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprStateProtos.DeleteBulkStateRequest,com.google.protobuf.Empty>`
  `getDeleteBulkStateMethod()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobRequest,DaprJobsProtos.DeleteJobResponse>`
  `getDeleteJobAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobRequest,DaprJobsProtos.DeleteJobResponse>`
  `getDeleteJobMethod()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobsByPrefixRequestAlpha1,DaprJobsProtos.DeleteJobsByPrefixResponseAlpha1>`
  `getDeleteJobsByPrefixAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobsByPrefixRequest,DaprJobsProtos.DeleteJobsByPrefixResponse>`
  `getDeleteJobsByPrefixMethod()`
  `static io.grpc.MethodDescriptor<DaprStateProtos.DeleteStateRequest,com.google.protobuf.Empty>`
  `getDeleteStateMethod()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.EncryptRequest,DaprCryptoProtos.EncryptResponse>`
  `getEncryptAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.ExecuteActorStateTransactionRequest,com.google.protobuf.Empty>`
  `getExecuteActorStateTransactionMethod()`
  `static io.grpc.MethodDescriptor<DaprStateProtos.ExecuteStateTransactionRequest,com.google.protobuf.Empty>`
  `getExecuteStateTransactionMethod()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.GetActorReminderRequest,DaprActorsProtos.GetActorReminderResponse>`
  `getGetActorReminderMethod()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.GetActorStateRequest,DaprActorsProtos.GetActorStateResponse>`
  `getGetActorStateMethod()`
  `static io.grpc.MethodDescriptor<DaprSecretProtos.GetBulkSecretRequest,DaprSecretProtos.GetBulkSecretResponse>`
  `getGetBulkSecretMethod()`
  `static io.grpc.MethodDescriptor<DaprStateProtos.GetBulkStateRequest,DaprStateProtos.GetBulkStateResponse>`
  `getGetBulkStateMethod()`
  `static io.grpc.MethodDescriptor<DaprConfigurationProtos.GetConfigurationRequest,DaprConfigurationProtos.GetConfigurationResponse>`
  `getGetConfigurationAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprConfigurationProtos.GetConfigurationRequest,DaprConfigurationProtos.GetConfigurationResponse>`
  `getGetConfigurationMethod()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.GetJobRequest,DaprJobsProtos.GetJobResponse>`
  `getGetJobAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.GetJobRequest,DaprJobsProtos.GetJobResponse>`
  `getGetJobMethod()`
  `static io.grpc.MethodDescriptor<DaprMetadataProtos.GetMetadataRequest,DaprMetadataProtos.GetMetadataResponse>`
  `getGetMetadataMethod()`
  `static io.grpc.MethodDescriptor<DaprSecretProtos.GetSecretRequest,DaprSecretProtos.GetSecretResponse>`
  `getGetSecretMethod()`
  `static io.grpc.MethodDescriptor<DaprStateProtos.GetStateRequest,DaprStateProtos.GetStateResponse>`
  `getGetStateMethod()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.GetWorkflowRequest,DaprWorkflowProtos.GetWorkflowResponse>`
  `getGetWorkflowAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.GetWorkflowRequest,DaprWorkflowProtos.GetWorkflowResponse>`
  `getGetWorkflowBeta1Method()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.InvokeActorRequest,DaprActorsProtos.InvokeActorResponse>`
  `getInvokeActorMethod()`
  `static io.grpc.MethodDescriptor<DaprBindingsProtos.InvokeBindingRequest,DaprBindingsProtos.InvokeBindingResponse>`
  `getInvokeBindingMethod()`
  `static io.grpc.MethodDescriptor<DaprInvokeProtos.InvokeServiceRequest,CommonProtos.InvokeResponse>`
  `getInvokeServiceMethod()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.ListActorRemindersRequest,DaprActorsProtos.ListActorRemindersResponse>`
  `getListActorRemindersMethod()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.ListJobsRequestAlpha1,DaprJobsProtos.ListJobsResponseAlpha1>`
  `getListJobsAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.ListJobsRequest,DaprJobsProtos.ListJobsResponse>`
  `getListJobsMethod()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.PauseWorkflowRequest,com.google.protobuf.Empty>`
  `getPauseWorkflowAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.PauseWorkflowRequest,com.google.protobuf.Empty>`
  `getPauseWorkflowBeta1Method()`
  `static io.grpc.MethodDescriptor<DaprPubsubProtos.PublishEventRequest,com.google.protobuf.Empty>`
  `getPublishEventMethod()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.PurgeWorkflowRequest,com.google.protobuf.Empty>`
  `getPurgeWorkflowAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.PurgeWorkflowRequest,com.google.protobuf.Empty>`
  `getPurgeWorkflowBeta1Method()`
  `static io.grpc.MethodDescriptor<DaprStateProtos.QueryStateRequest,DaprStateProtos.QueryStateResponse>`
  `getQueryStateAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.RaiseEventWorkflowRequest,com.google.protobuf.Empty>`
  `getRaiseEventWorkflowAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.RaiseEventWorkflowRequest,com.google.protobuf.Empty>`
  `getRaiseEventWorkflowBeta1Method()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.RegisterActorReminderRequest,com.google.protobuf.Empty>`
  `getRegisterActorReminderMethod()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.RegisterActorTimerRequest,com.google.protobuf.Empty>`
  `getRegisterActorTimerMethod()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.ResumeWorkflowRequest,com.google.protobuf.Empty>`
  `getResumeWorkflowAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.ResumeWorkflowRequest,com.google.protobuf.Empty>`
  `getResumeWorkflowBeta1Method()`
  `static io.grpc.MethodDescriptor<DaprStateProtos.SaveStateRequest,com.google.protobuf.Empty>`
  `getSaveStateMethod()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.ScheduleJobRequest,DaprJobsProtos.ScheduleJobResponse>`
  `getScheduleJobAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprJobsProtos.ScheduleJobRequest,DaprJobsProtos.ScheduleJobResponse>`
  `getScheduleJobMethod()`
  `static io.grpc.ServiceDescriptor`
  `getServiceDescriptor()`
  `static io.grpc.MethodDescriptor<DaprMetadataProtos.SetMetadataRequest,com.google.protobuf.Empty>`
  `getSetMetadataMethod()`
  `static io.grpc.MethodDescriptor<DaprProtos.ShutdownRequest,com.google.protobuf.Empty>`
  `getShutdownMethod()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.StartWorkflowRequest,DaprWorkflowProtos.StartWorkflowResponse>`
  `getStartWorkflowAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.StartWorkflowRequest,DaprWorkflowProtos.StartWorkflowResponse>`
  `getStartWorkflowBeta1Method()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.SubscribeActorEventsRequestAlpha1,DaprActorsProtos.SubscribeActorEventsResponseAlpha1>`
  `getSubscribeActorEventsAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprConfigurationProtos.SubscribeConfigurationRequest,DaprConfigurationProtos.SubscribeConfigurationResponse>`
  `getSubscribeConfigurationAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprConfigurationProtos.SubscribeConfigurationRequest,DaprConfigurationProtos.SubscribeConfigurationResponse>`
  `getSubscribeConfigurationMethod()`
  `static io.grpc.MethodDescriptor<DaprPubsubProtos.SubscribeTopicEventsRequestAlpha1,DaprPubsubProtos.SubscribeTopicEventsResponseAlpha1>`
  `getSubscribeTopicEventsAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleDecryptRequest,DaprCryptoProtos.SubtleDecryptResponse>`
  `getSubtleDecryptAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleEncryptRequest,DaprCryptoProtos.SubtleEncryptResponse>`
  `getSubtleEncryptAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleGetKeyRequest,DaprCryptoProtos.SubtleGetKeyResponse>`
  `getSubtleGetKeyAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleSignRequest,DaprCryptoProtos.SubtleSignResponse>`
  `getSubtleSignAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleUnwrapKeyRequest,DaprCryptoProtos.SubtleUnwrapKeyResponse>`
  `getSubtleUnwrapKeyAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleVerifyRequest,DaprCryptoProtos.SubtleVerifyResponse>`
  `getSubtleVerifyAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleWrapKeyRequest,DaprCryptoProtos.SubtleWrapKeyResponse>`
  `getSubtleWrapKeyAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.TerminateWorkflowRequest,com.google.protobuf.Empty>`
  `getTerminateWorkflowAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprWorkflowProtos.TerminateWorkflowRequest,com.google.protobuf.Empty>`
  `getTerminateWorkflowBeta1Method()`
  `static io.grpc.MethodDescriptor<DaprLockProtos.TryLockRequest,DaprLockProtos.TryLockResponse>`
  `getTryLockAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprLockProtos.UnlockRequest,DaprLockProtos.UnlockResponse>`
  `getUnlockAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.UnregisterActorReminderRequest,com.google.protobuf.Empty>`
  `getUnregisterActorReminderMethod()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.UnregisterActorRemindersByTypeRequest,DaprActorsProtos.UnregisterActorRemindersByTypeResponse>`
  `getUnregisterActorRemindersByTypeMethod()`
  `static io.grpc.MethodDescriptor<DaprActorsProtos.UnregisterActorTimerRequest,com.google.protobuf.Empty>`
  `getUnregisterActorTimerMethod()`
  `static io.grpc.MethodDescriptor<DaprConfigurationProtos.UnsubscribeConfigurationRequest,DaprConfigurationProtos.UnsubscribeConfigurationResponse>`
  `getUnsubscribeConfigurationAlpha1Method()`
  `static io.grpc.MethodDescriptor<DaprConfigurationProtos.UnsubscribeConfigurationRequest,DaprConfigurationProtos.UnsubscribeConfigurationResponse>`
  `getUnsubscribeConfigurationMethod()`
  `static DaprGrpc.DaprBlockingStub`
  `newBlockingStub(io.grpc.Channel channel)`
  Creates a new blocking-style stub that supports unary and streaming output calls on the service
  `static DaprGrpc.DaprBlockingV2Stub`
  `newBlockingV2Stub(io.grpc.Channel channel)`
  Creates a new blocking-style stub that supports all types of calls on the service
  `static DaprGrpc.DaprFutureStub`
  `newFutureStub(io.grpc.Channel channel)`
  Creates a new ListenableFuture-style stub that supports unary calls on the service
  `static DaprGrpc.DaprStub`
  `newStub(io.grpc.Channel channel)`
  Creates a new async stub that supports all call types for the service

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVICE_NAME

    public static final String SERVICE_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInvokeServiceMethod

    public static io.grpc.MethodDescriptor<DaprInvokeProtos.InvokeServiceRequest,CommonProtos.InvokeResponse> getInvokeServiceMethod()

  - ### getGetStateMethod

    public static io.grpc.MethodDescriptor<DaprStateProtos.GetStateRequest,DaprStateProtos.GetStateResponse> getGetStateMethod()

  - ### getGetBulkStateMethod

    public static io.grpc.MethodDescriptor<DaprStateProtos.GetBulkStateRequest,DaprStateProtos.GetBulkStateResponse> getGetBulkStateMethod()

  - ### getSaveStateMethod

    public static io.grpc.MethodDescriptor<DaprStateProtos.SaveStateRequest,com.google.protobuf.Empty> getSaveStateMethod()

  - ### getQueryStateAlpha1Method

    public static io.grpc.MethodDescriptor<DaprStateProtos.QueryStateRequest,DaprStateProtos.QueryStateResponse> getQueryStateAlpha1Method()

  - ### getDeleteStateMethod

    public static io.grpc.MethodDescriptor<DaprStateProtos.DeleteStateRequest,com.google.protobuf.Empty> getDeleteStateMethod()

  - ### getDeleteBulkStateMethod

    public static io.grpc.MethodDescriptor<DaprStateProtos.DeleteBulkStateRequest,com.google.protobuf.Empty> getDeleteBulkStateMethod()

  - ### getExecuteStateTransactionMethod

    public static io.grpc.MethodDescriptor<DaprStateProtos.ExecuteStateTransactionRequest,com.google.protobuf.Empty> getExecuteStateTransactionMethod()

  - ### getPublishEventMethod

    public static io.grpc.MethodDescriptor<DaprPubsubProtos.PublishEventRequest,com.google.protobuf.Empty> getPublishEventMethod()

  - ### getBulkPublishEventAlpha1Method

    public static io.grpc.MethodDescriptor<DaprPubsubProtos.BulkPublishRequest,DaprPubsubProtos.BulkPublishResponse> getBulkPublishEventAlpha1Method()

  - ### getBulkPublishEventMethod

    public static io.grpc.MethodDescriptor<DaprPubsubProtos.BulkPublishRequest,DaprPubsubProtos.BulkPublishResponse> getBulkPublishEventMethod()

  - ### getSubscribeTopicEventsAlpha1Method

    public static io.grpc.MethodDescriptor<DaprPubsubProtos.SubscribeTopicEventsRequestAlpha1,DaprPubsubProtos.SubscribeTopicEventsResponseAlpha1> getSubscribeTopicEventsAlpha1Method()

  - ### getInvokeBindingMethod

    public static io.grpc.MethodDescriptor<DaprBindingsProtos.InvokeBindingRequest,DaprBindingsProtos.InvokeBindingResponse> getInvokeBindingMethod()

  - ### getGetSecretMethod

    public static io.grpc.MethodDescriptor<DaprSecretProtos.GetSecretRequest,DaprSecretProtos.GetSecretResponse> getGetSecretMethod()

  - ### getGetBulkSecretMethod

    public static io.grpc.MethodDescriptor<DaprSecretProtos.GetBulkSecretRequest,DaprSecretProtos.GetBulkSecretResponse> getGetBulkSecretMethod()

  - ### getRegisterActorTimerMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.RegisterActorTimerRequest,com.google.protobuf.Empty> getRegisterActorTimerMethod()

  - ### getUnregisterActorTimerMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.UnregisterActorTimerRequest,com.google.protobuf.Empty> getUnregisterActorTimerMethod()

  - ### getRegisterActorReminderMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.RegisterActorReminderRequest,com.google.protobuf.Empty> getRegisterActorReminderMethod()

  - ### getUnregisterActorReminderMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.UnregisterActorReminderRequest,com.google.protobuf.Empty> getUnregisterActorReminderMethod()

  - ### getUnregisterActorRemindersByTypeMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.UnregisterActorRemindersByTypeRequest,DaprActorsProtos.UnregisterActorRemindersByTypeResponse> getUnregisterActorRemindersByTypeMethod()

  - ### getListActorRemindersMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.ListActorRemindersRequest,DaprActorsProtos.ListActorRemindersResponse> getListActorRemindersMethod()

  - ### getGetActorStateMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.GetActorStateRequest,DaprActorsProtos.GetActorStateResponse> getGetActorStateMethod()

  - ### getGetActorReminderMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.GetActorReminderRequest,DaprActorsProtos.GetActorReminderResponse> getGetActorReminderMethod()

  - ### getExecuteActorStateTransactionMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.ExecuteActorStateTransactionRequest,com.google.protobuf.Empty> getExecuteActorStateTransactionMethod()

  - ### getInvokeActorMethod

    public static io.grpc.MethodDescriptor<DaprActorsProtos.InvokeActorRequest,DaprActorsProtos.InvokeActorResponse> getInvokeActorMethod()

  - ### getSubscribeActorEventsAlpha1Method

    public static io.grpc.MethodDescriptor<DaprActorsProtos.SubscribeActorEventsRequestAlpha1,DaprActorsProtos.SubscribeActorEventsResponseAlpha1> getSubscribeActorEventsAlpha1Method()

  - ### getGetConfigurationAlpha1Method

    public static io.grpc.MethodDescriptor<DaprConfigurationProtos.GetConfigurationRequest,DaprConfigurationProtos.GetConfigurationResponse> getGetConfigurationAlpha1Method()

  - ### getGetConfigurationMethod

    public static io.grpc.MethodDescriptor<DaprConfigurationProtos.GetConfigurationRequest,DaprConfigurationProtos.GetConfigurationResponse> getGetConfigurationMethod()

  - ### getSubscribeConfigurationAlpha1Method

    public static io.grpc.MethodDescriptor<DaprConfigurationProtos.SubscribeConfigurationRequest,DaprConfigurationProtos.SubscribeConfigurationResponse> getSubscribeConfigurationAlpha1Method()

  - ### getSubscribeConfigurationMethod

    public static io.grpc.MethodDescriptor<DaprConfigurationProtos.SubscribeConfigurationRequest,DaprConfigurationProtos.SubscribeConfigurationResponse> getSubscribeConfigurationMethod()

  - ### getUnsubscribeConfigurationAlpha1Method

    public static io.grpc.MethodDescriptor<DaprConfigurationProtos.UnsubscribeConfigurationRequest,DaprConfigurationProtos.UnsubscribeConfigurationResponse> getUnsubscribeConfigurationAlpha1Method()

  - ### getUnsubscribeConfigurationMethod

    public static io.grpc.MethodDescriptor<DaprConfigurationProtos.UnsubscribeConfigurationRequest,DaprConfigurationProtos.UnsubscribeConfigurationResponse> getUnsubscribeConfigurationMethod()

  - ### getTryLockAlpha1Method

    public static io.grpc.MethodDescriptor<DaprLockProtos.TryLockRequest,DaprLockProtos.TryLockResponse> getTryLockAlpha1Method()

  - ### getUnlockAlpha1Method

    public static io.grpc.MethodDescriptor<DaprLockProtos.UnlockRequest,DaprLockProtos.UnlockResponse> getUnlockAlpha1Method()

  - ### getEncryptAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.EncryptRequest,DaprCryptoProtos.EncryptResponse> getEncryptAlpha1Method()

  - ### getDecryptAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.DecryptRequest,DaprCryptoProtos.DecryptResponse> getDecryptAlpha1Method()

  - ### getGetMetadataMethod

    public static io.grpc.MethodDescriptor<DaprMetadataProtos.GetMetadataRequest,DaprMetadataProtos.GetMetadataResponse> getGetMetadataMethod()

  - ### getSetMetadataMethod

    public static io.grpc.MethodDescriptor<DaprMetadataProtos.SetMetadataRequest,com.google.protobuf.Empty> getSetMetadataMethod()

  - ### getSubtleGetKeyAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleGetKeyRequest,DaprCryptoProtos.SubtleGetKeyResponse> getSubtleGetKeyAlpha1Method()

  - ### getSubtleEncryptAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleEncryptRequest,DaprCryptoProtos.SubtleEncryptResponse> getSubtleEncryptAlpha1Method()

  - ### getSubtleDecryptAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleDecryptRequest,DaprCryptoProtos.SubtleDecryptResponse> getSubtleDecryptAlpha1Method()

  - ### getSubtleWrapKeyAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleWrapKeyRequest,DaprCryptoProtos.SubtleWrapKeyResponse> getSubtleWrapKeyAlpha1Method()

  - ### getSubtleUnwrapKeyAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleUnwrapKeyRequest,DaprCryptoProtos.SubtleUnwrapKeyResponse> getSubtleUnwrapKeyAlpha1Method()

  - ### getSubtleSignAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleSignRequest,DaprCryptoProtos.SubtleSignResponse> getSubtleSignAlpha1Method()

  - ### getSubtleVerifyAlpha1Method

    public static io.grpc.MethodDescriptor<DaprCryptoProtos.SubtleVerifyRequest,DaprCryptoProtos.SubtleVerifyResponse> getSubtleVerifyAlpha1Method()

  - ### getStartWorkflowAlpha1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.StartWorkflowRequest,DaprWorkflowProtos.StartWorkflowResponse> getStartWorkflowAlpha1Method()

  - ### getGetWorkflowAlpha1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.GetWorkflowRequest,DaprWorkflowProtos.GetWorkflowResponse> getGetWorkflowAlpha1Method()

  - ### getPurgeWorkflowAlpha1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.PurgeWorkflowRequest,com.google.protobuf.Empty> getPurgeWorkflowAlpha1Method()

  - ### getTerminateWorkflowAlpha1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.TerminateWorkflowRequest,com.google.protobuf.Empty> getTerminateWorkflowAlpha1Method()

  - ### getPauseWorkflowAlpha1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.PauseWorkflowRequest,com.google.protobuf.Empty> getPauseWorkflowAlpha1Method()

  - ### getResumeWorkflowAlpha1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.ResumeWorkflowRequest,com.google.protobuf.Empty> getResumeWorkflowAlpha1Method()

  - ### getRaiseEventWorkflowAlpha1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.RaiseEventWorkflowRequest,com.google.protobuf.Empty> getRaiseEventWorkflowAlpha1Method()

  - ### getStartWorkflowBeta1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.StartWorkflowRequest,DaprWorkflowProtos.StartWorkflowResponse> getStartWorkflowBeta1Method()

  - ### getGetWorkflowBeta1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.GetWorkflowRequest,DaprWorkflowProtos.GetWorkflowResponse> getGetWorkflowBeta1Method()

  - ### getPurgeWorkflowBeta1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.PurgeWorkflowRequest,com.google.protobuf.Empty> getPurgeWorkflowBeta1Method()

  - ### getTerminateWorkflowBeta1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.TerminateWorkflowRequest,com.google.protobuf.Empty> getTerminateWorkflowBeta1Method()

  - ### getPauseWorkflowBeta1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.PauseWorkflowRequest,com.google.protobuf.Empty> getPauseWorkflowBeta1Method()

  - ### getResumeWorkflowBeta1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.ResumeWorkflowRequest,com.google.protobuf.Empty> getResumeWorkflowBeta1Method()

  - ### getRaiseEventWorkflowBeta1Method

    public static io.grpc.MethodDescriptor<DaprWorkflowProtos.RaiseEventWorkflowRequest,com.google.protobuf.Empty> getRaiseEventWorkflowBeta1Method()

  - ### getShutdownMethod

    public static io.grpc.MethodDescriptor<DaprProtos.ShutdownRequest,com.google.protobuf.Empty> getShutdownMethod()

  - ### getScheduleJobAlpha1Method

    public static io.grpc.MethodDescriptor<DaprJobsProtos.ScheduleJobRequest,DaprJobsProtos.ScheduleJobResponse> getScheduleJobAlpha1Method()

  - ### getScheduleJobMethod

    public static io.grpc.MethodDescriptor<DaprJobsProtos.ScheduleJobRequest,DaprJobsProtos.ScheduleJobResponse> getScheduleJobMethod()

  - ### getGetJobAlpha1Method

    public static io.grpc.MethodDescriptor<DaprJobsProtos.GetJobRequest,DaprJobsProtos.GetJobResponse> getGetJobAlpha1Method()

  - ### getGetJobMethod

    public static io.grpc.MethodDescriptor<DaprJobsProtos.GetJobRequest,DaprJobsProtos.GetJobResponse> getGetJobMethod()

  - ### getDeleteJobAlpha1Method

    public static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobRequest,DaprJobsProtos.DeleteJobResponse> getDeleteJobAlpha1Method()

  - ### getDeleteJobMethod

    public static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobRequest,DaprJobsProtos.DeleteJobResponse> getDeleteJobMethod()

  - ### getDeleteJobsByPrefixAlpha1Method

    public static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobsByPrefixRequestAlpha1,DaprJobsProtos.DeleteJobsByPrefixResponseAlpha1> getDeleteJobsByPrefixAlpha1Method()

  - ### getDeleteJobsByPrefixMethod

    public static io.grpc.MethodDescriptor<DaprJobsProtos.DeleteJobsByPrefixRequest,DaprJobsProtos.DeleteJobsByPrefixResponse> getDeleteJobsByPrefixMethod()

  - ### getListJobsAlpha1Method

    public static io.grpc.MethodDescriptor<DaprJobsProtos.ListJobsRequestAlpha1,DaprJobsProtos.ListJobsResponseAlpha1> getListJobsAlpha1Method()

  - ### getListJobsMethod

    public static io.grpc.MethodDescriptor<DaprJobsProtos.ListJobsRequest,DaprJobsProtos.ListJobsResponse> getListJobsMethod()

  - ### getConverseAlpha1Method

    public static io.grpc.MethodDescriptor<DaprAiProtos.ConversationRequest,DaprAiProtos.ConversationResponse> getConverseAlpha1Method()

  - ### getConverseAlpha2Method

    public static io.grpc.MethodDescriptor<DaprAiProtos.ConversationRequestAlpha2,DaprAiProtos.ConversationResponseAlpha2> getConverseAlpha2Method()

  - ### newStub

    public static DaprGrpc.DaprStub newStub(io.grpc.Channel channel)
    Creates a new async stub that supports all call types for the service

  - ### newBlockingV2Stub

    public static DaprGrpc.DaprBlockingV2Stub newBlockingV2Stub(io.grpc.Channel channel)
    Creates a new blocking-style stub that supports all types of calls on the service

  - ### newBlockingStub

    public static DaprGrpc.DaprBlockingStub newBlockingStub(io.grpc.Channel channel)
    Creates a new blocking-style stub that supports unary and streaming output calls on the service

  - ### newFutureStub

    public static DaprGrpc.DaprFutureStub newFutureStub(io.grpc.Channel channel)
    Creates a new ListenableFuture-style stub that supports unary calls on the service

  - ### bindService

    public static final io.grpc.ServerServiceDefinition bindService(DaprGrpc.AsyncService service)

  - ### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()